Skip to main content
Cisco SD-WAN
Support
Product Documentation
Viptela Documentation

Enforce Software Version on a WAN Edge Router

If you are using the Viptela ZTP hosted service, and wish to enforce a version of the Cisco software to run on a WAN Edge router when it first joins the overlay network, use the vManage Administration ► Settings screen. 

  1. Ensure that the software image for the desired WAN Edge router is present in the vManage software image repository:
    1. In vManage NMS, select the Maintenance ► Software Upgrade screen.
    2. In the Device List drop-down, click Repository. The Software Repository screen opens and displays a table of software images. If the desired software image is present in the repository, continue with Step 2.
    3. If you need to add a software image, click Add New Software.
    4. Select the location from which to download the software images, either vManage or Remote Server.
    5. Select both an x86-based and a MIPS-based software image. Both images must be present in the repository.
    6. Click Upload or Add to play the image in the repository.
  2. In the Administration ► Settings screen, click the Edit button to the right of the Enforce Software Version (ZTP) bar.
  3. In the Enforce Software Version field, click Enabled.
  4. From the Software Version drop-down, select the version of the software to enforce on vEdge routers when they join the network.
  5. Click Save.

If you enable this feature on the vManage NMS, any WAN Edge router joining the network is configured with the version of the software specified in the Enforce Software Version field regardless of whether the router was running a higher or lower version of Viptela software.

Release Information 

Introduced in vManage NMS in Release 15.2.

  • Was this article helpful?